ON_SpaceMorph Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_xform.h>`

Inheritance diagram for ON_SpaceMorph:

## Public Member Functions

| ON_SpaceMorph ()
virtual | ~ON_SpaceMorph ()
virtual bool | IsIdentity (const ON_BoundingBox &bbox) const
double | Tolerance () const
void | SetTolerance (double tolerance)
bool | QuickPreview () const
void | SetQuickPreview (bool bQuickPreview)
bool | PreserveStructure () const
void | SetPreserveStructure (bool bPreserveStructure)

## Detailed Description

Definition at line 1189 of file opennurbs_xform.h.

## Constructor & Destructor Documentation

## ON_SpaceMorph()

ON_SpaceMorph::ON_SpaceMorph | ( |  | ) |

## ~ON_SpaceMorph()

virtual ON_SpaceMorph::~ON_SpaceMorph | ( |  | ) |

virtual

## Member Function Documentation

## IsIdentity()

virtual bool ON_SpaceMorph::IsIdentity | ( | const ON_BoundingBox & | bbox | ) | const

virtual

Reimplemented in ON_CageMorph.

## PreserveStructure()

bool ON_SpaceMorph::PreserveStructure | ( |  | ) | const

## QuickPreview()

bool ON_SpaceMorph::QuickPreview | ( |  | ) | const

## SetPreserveStructure()

void ON_SpaceMorph::SetPreserveStructure | ( | bool | bPreserveStructure | ) |

## SetQuickPreview()

void ON_SpaceMorph::SetQuickPreview | ( | bool | bQuickPreview | ) |

## SetTolerance()

void ON_SpaceMorph::SetTolerance | ( | double | tolerance | ) |

## Tolerance()

double ON_SpaceMorph::Tolerance | ( |  | ) | const

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_xform.h